From e9a2924a1e3c0308db48e81258f0351bc9ea6450 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Wed, 9 Nov 2016 18:07:07 -0800
Subject: [PATCH 06/22] ipc_router:xprt: Handle USB cable disconnect error

When USB cable is disconnected, the read function returns
a specific error, handle it gracefully.

Change-Id: I5cd45f61cfe113aaf21a80236f75d96e90aa95e6
---
 drivers/soc/qcom/ipc_router_usb_xprt.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/drivers/soc/qcom/ipc_router_usb_xprt.c b/drivers/soc/qcom/ipc_router_usb_xprt.c
index 29456ff..ce94351 100644
--- a/drivers/soc/qcom/ipc_router_usb_xprt.c
+++ b/drivers/soc/qcom/ipc_router_usb_xprt.c
@@ -333,8 +333,13 @@ static void usb_xprt_read_data(struct work_struct *work)
 			bytes_read = usb_xprtp->ops->read(skb->data,
 						usb_xprtp->ops->max_read_size);
 			if (bytes_read < 0) {
-				IPC_RTR_ERR("%s: Error %d @ read operation\n",
-					    __func__, bytes_read);
+				if (bytes_read == -ESHUTDOWN)
+					IPC_RTR_ERR("%s:USB Cable disconnected",
+								__func__);
+				else
+					IPC_RTR_ERR("%s: Error %d @"
+							" read operation\n",
+							__func__, bytes_read);
 				kfree_skb(skb);
 				goto out_read_data;
 			}
-- 
1.8.2.1

